Index: trunk/doc/Flair/classflair_1_1core_1_1_rotation_matrix.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_rotation_matrix.js	(revision 35)
+++ trunk/doc/Flair/classflair_1_1core_1_1_rotation_matrix.js	(revision 36)
@@ -5,4 +5,6 @@
     [ "ToEuler", "classflair_1_1core_1_1_rotation_matrix.html#a21f115fe207aa8c73515026fe921a5f3", null ],
     [ "ToEuler", "classflair_1_1core_1_1_rotation_matrix.html#a2c2286d9604028ce59705d2514fc3caf", null ],
+    [ "ToQuaternion", "classflair_1_1core_1_1_rotation_matrix.html#a41877f4dbe6537791a9c0b282ae83c97", null ],
+    [ "ToQuaternion", "classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec", null ],
     [ "operator()", "classflair_1_1core_1_1_rotation_matrix.html#a98eec70a5fd93937779de9e065f54eeb", null ],
     [ "operator()", "classflair_1_1core_1_1_rotation_matrix.html#a2b1063336d1c455c09c2951b728237c4", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_gx3__25__imu.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_gx3__25__imu.js	(revision 35)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_gx3__25__imu.js	(revision 36)
@@ -3,5 +3,6 @@
     [ "Command_t", "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656", [
       [ "EulerAnglesAndAngularRates", "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a940a0eb57552334d5f63d1e43bc97e51", null ],
-      [ "AccelerationAngularRateAndOrientationMatrix", "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a813c8f250326629ec8b4b7a6aced0050", null ]
+      [ "AccelerationAngularRateAndOrientationMatrix", "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a813c8f250326629ec8b4b7a6aced0050", null ],
+      [ "Quaternion", "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a3d9784015eecca0b5df06207f9c299f4", null ]
     ] ],
     [ "Gx3_25_imu", "classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js	(revision 35)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_imu.js	(revision 36)
@@ -9,4 +9,5 @@
     [ "UseDefaultPlot", "classflair_1_1sensor_1_1_imu.html#a81e08d2c2963d05ba8c38792af661527", null ],
     [ "GetPlotTab", "classflair_1_1sensor_1_1_imu.html#a0bfa24fb3b089499b33a60ae0162e4ee", null ],
+    [ "GetOneAxisRotation", "classflair_1_1sensor_1_1_imu.html#ab399f291b7203463dbd1585db8e4b96c", null ],
     [ "GetGroupBox", "classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85", null ],
     [ "UpdateImu", "classflair_1_1sensor_1_1_imu.html#a32a260c66ae679869d7628c561c35346", null ],
Index: trunk/doc/Flair/navtreedata.js
===================================================================
--- trunk/doc/Flair/navtreedata.js	(revision 35)
+++ trunk/doc/Flair/navtreedata.js	(revision 36)
@@ -33,9 +33,9 @@
 "_vector3_ddata_8h.html",
 "classflair_1_1core_1_1_i_o_device.html#a8d4dacaaa8b2d282a4c38c48281387c7",
-"classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007",
-"classflair_1_1gui_1_1_combo_box.html",
-"classflair_1_1meta_1_1_uav_state_machine.html#acb613e16c489a521c664817ef74f00d9",
-"classflair_1_1sensor_1_1_target_controller.html#a8aa84807cf224d3af89ee8af0355992c",
-"namespaceflair_1_1sensor.html"
+"classflair_1_1core_1_1_vector3_d.html#abf242a58a3126477a930e34a7a9d6097",
+"classflair_1_1gui_1_1_check_box.html#ad542c13fc2280e2fc34ff291d444fb2b",
+"classflair_1_1meta_1_1_uav_state_machine.html#ac335dfcc3c91af9e59dc10d88c1da04f",
+"classflair_1_1sensor_1_1_target_controller.html#a677a1fd35d04b1ffd033206634c6c05e",
+"namespaceflair_1_1gui.html"
 ];
 
Index: trunk/doc/Flair/navtreeindex2.js
===================================================================
--- trunk/doc/Flair/navtreeindex2.js	(revision 35)
+++ trunk/doc/Flair/navtreeindex2.js	(revision 36)
@@ -113,9 +113,11 @@
 "classflair_1_1core_1_1_rotation_matrix.html#a1654c70915d03eea7c712a04296b9583":[1,0,0,1,24,0],
 "classflair_1_1core_1_1_rotation_matrix.html#a21f115fe207aa8c73515026fe921a5f3":[1,0,0,1,24,2],
-"classflair_1_1core_1_1_rotation_matrix.html#a2931667bed155085f243743811f60536":[1,0,0,1,24,6],
-"classflair_1_1core_1_1_rotation_matrix.html#a2b1063336d1c455c09c2951b728237c4":[1,0,0,1,24,5],
+"classflair_1_1core_1_1_rotation_matrix.html#a2931667bed155085f243743811f60536":[1,0,0,1,24,8],
+"classflair_1_1core_1_1_rotation_matrix.html#a2b1063336d1c455c09c2951b728237c4":[1,0,0,1,24,7],
 "classflair_1_1core_1_1_rotation_matrix.html#a2c2286d9604028ce59705d2514fc3caf":[1,0,0,1,24,3],
+"classflair_1_1core_1_1_rotation_matrix.html#a41877f4dbe6537791a9c0b282ae83c97":[1,0,0,1,24,4],
 "classflair_1_1core_1_1_rotation_matrix.html#a4c46e6c1cdd66818eaa131822e5bcbb3":[1,0,0,1,24,1],
-"classflair_1_1core_1_1_rotation_matrix.html#a98eec70a5fd93937779de9e065f54eeb":[1,0,0,1,24,4],
+"classflair_1_1core_1_1_rotation_matrix.html#a98eec70a5fd93937779de9e065f54eeb":[1,0,0,1,24,6],
+"classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec":[1,0,0,1,24,5],
 "classflair_1_1core_1_1_scalar_type.html":[1,0,0,1,27],
 "classflair_1_1core_1_1_scalar_type.html#a90cfe47b9757d65f153e5c573fc14e8e":[1,0,0,1,27,0],
@@ -248,6 +250,4 @@
 "classflair_1_1core_1_1_vector3_d.html#ab63f9cacf690d26f2ac1669c4dc2fa72":[1,0,0,1,39,25],
 "classflair_1_1core_1_1_vector3_d.html#aba5e970bf0b6cdb650bf8b31771fa360":[1,0,0,1,39,9],
-"classflair_1_1core_1_1_vector3_d.html#abdfb5c26a13ca21ad5674ec5d1f83ec8":[1,0,0,1,39,7],
-"classflair_1_1core_1_1_vector3_d.html#abf242a58a3126477a930e34a7a9d6097":[1,0,0,1,39,8],
-"classflair_1_1core_1_1_vector3_d.html#ac0841a063753ae1b3ceb98fe7ae72e60":[1,0,0,1,39,5]
+"classflair_1_1core_1_1_vector3_d.html#abdfb5c26a13ca21ad5674ec5d1f83ec8":[1,0,0,1,39,7]
 };
Index: trunk/doc/Flair/navtreeindex3.js
===================================================================
--- trunk/doc/Flair/navtreeindex3.js	(revision 35)
+++ trunk/doc/Flair/navtreeindex3.js	(revision 36)
@@ -1,4 +1,6 @@
 var NAVTREEINDEX3 =
 {
+"classflair_1_1core_1_1_vector3_d.html#abf242a58a3126477a930e34a7a9d6097":[1,0,0,1,39,8],
+"classflair_1_1core_1_1_vector3_d.html#ac0841a063753ae1b3ceb98fe7ae72e60":[1,0,0,1,39,5],
 "classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007":[1,0,0,1,39,13],
 "classflair_1_1core_1_1_vector3_d.html#ac752f69f6eabcfdcc5a7a87938acca5b":[1,0,0,1,39,2],
@@ -248,6 +250,4 @@
 "classflair_1_1gui_1_1_check_box.html":[1,0,0,3,1],
 "classflair_1_1gui_1_1_check_box.html#a217da5fe57fdb820430b61ed30c6aa18":[1,0,0,3,1,3],
-"classflair_1_1gui_1_1_check_box.html#acdd3773ee8b46d83f42db60fb15c4456":[1,0,0,3,1,0],
-"classflair_1_1gui_1_1_check_box.html#ad542c13fc2280e2fc34ff291d444fb2b":[1,0,0,3,1,2],
-"classflair_1_1gui_1_1_check_box.html#ad82b1af4d49c94b8dac83dd26b887e17":[1,0,0,3,1,1]
+"classflair_1_1gui_1_1_check_box.html#acdd3773ee8b46d83f42db60fb15c4456":[1,0,0,3,1,0]
 };
Index: trunk/doc/Flair/navtreeindex4.js
===================================================================
--- trunk/doc/Flair/navtreeindex4.js	(revision 35)
+++ trunk/doc/Flair/navtreeindex4.js	(revision 36)
@@ -1,4 +1,6 @@
 var NAVTREEINDEX4 =
 {
+"classflair_1_1gui_1_1_check_box.html#ad542c13fc2280e2fc34ff291d444fb2b":[1,0,0,3,1,2],
+"classflair_1_1gui_1_1_check_box.html#ad82b1af4d49c94b8dac83dd26b887e17":[1,0,0,3,1,1],
 "classflair_1_1gui_1_1_combo_box.html":[1,0,0,3,2],
 "classflair_1_1gui_1_1_combo_box.html#a246d05c02961be9b6c5a6daf91b58040":[1,0,0,3,2,3],
@@ -248,6 +250,4 @@
 "classflair_1_1meta_1_1_uav_state_machine.html#ab25472bbf51a7baf97ec5e9cfc148f8b":[1,0,0,4,7,41],
 "classflair_1_1meta_1_1_uav_state_machine.html#ab2ed3ee4d9ccdbc2bb813a9b55a0d544":[1,0,0,4,7,28],
-"classflair_1_1meta_1_1_uav_state_machine.html#ab737f2861d5c1901a0f62f54fe2c0855":[1,0,0,4,7,42],
-"classflair_1_1meta_1_1_uav_state_machine.html#ac335dfcc3c91af9e59dc10d88c1da04f":[1,0,0,4,7,26],
-"classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8":[1,0,0,4,7,39]
+"classflair_1_1meta_1_1_uav_state_machine.html#ab737f2861d5c1901a0f62f54fe2c0855":[1,0,0,4,7,42]
 };
Index: trunk/doc/Flair/navtreeindex5.js
===================================================================
--- trunk/doc/Flair/navtreeindex5.js	(revision 35)
+++ trunk/doc/Flair/navtreeindex5.js	(revision 36)
@@ -1,4 +1,6 @@
 var NAVTREEINDEX5 =
 {
+"classflair_1_1meta_1_1_uav_state_machine.html#ac335dfcc3c91af9e59dc10d88c1da04f":[1,0,0,4,7,26],
+"classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8":[1,0,0,4,7,39],
 "classflair_1_1meta_1_1_uav_state_machine.html#acb613e16c489a521c664817ef74f00d9":[1,0,0,4,7,36],
 "classflair_1_1meta_1_1_uav_state_machine.html#acd12763a492e5d257da5ce1370a6d560":[1,0,0,4,7,29],
@@ -70,4 +72,5 @@
 "classflair_1_1sensor_1_1_gx3__25__imu.html":[1,0,0,5,4],
 "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656":[1,0,0,5,4,0],
+"classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a3d9784015eecca0b5df06207f9c299f4":[1,0,0,5,4,0,2],
 "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a813c8f250326629ec8b4b7a6aced0050":[1,0,0,5,4,0,1],
 "classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a940a0eb57552334d5f63d1e43bc97e51":[1,0,0,5,4,0,0],
@@ -115,12 +118,13 @@
 "classflair_1_1sensor_1_1_imu.html#a279bf62436c91f0ced11455bff38c269":[1,0,0,5,7,5],
 "classflair_1_1sensor_1_1_imu.html#a2ee0420d6e69be3a51c9ad1ac1c6b386":[1,0,0,5,7,0],
-"classflair_1_1sensor_1_1_imu.html#a32a260c66ae679869d7628c561c35346":[1,0,0,5,7,9],
-"classflair_1_1sensor_1_1_imu.html#a50c9130b6608a0ab2fd959a44c72dae6":[1,0,0,5,7,11],
+"classflair_1_1sensor_1_1_imu.html#a32a260c66ae679869d7628c561c35346":[1,0,0,5,7,10],
+"classflair_1_1sensor_1_1_imu.html#a50c9130b6608a0ab2fd959a44c72dae6":[1,0,0,5,7,12],
 "classflair_1_1sensor_1_1_imu.html#a5dc17ecf8caf9aaa41ec0a6ec43adf6a":[1,0,0,5,7,1],
 "classflair_1_1sensor_1_1_imu.html#a81e08d2c2963d05ba8c38792af661527":[1,0,0,5,7,6],
-"classflair_1_1sensor_1_1_imu.html#aa020369da0c3f8c80eef6abf9cad0cd9":[1,0,0,5,7,10],
-"classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85":[1,0,0,5,7,8],
+"classflair_1_1sensor_1_1_imu.html#aa020369da0c3f8c80eef6abf9cad0cd9":[1,0,0,5,7,11],
+"classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85":[1,0,0,5,7,9],
 "classflair_1_1sensor_1_1_imu.html#aaf94fb4f5ba28e8c471cfefaee673b3d":[1,0,0,5,7,4],
 "classflair_1_1sensor_1_1_imu.html#ab01ce2e6b89698b001da63ae8df1722a":[1,0,0,5,7,2],
+"classflair_1_1sensor_1_1_imu.html#ab399f291b7203463dbd1585db8e4b96c":[1,0,0,5,7,8],
 "classflair_1_1sensor_1_1_laser_range_finder.html":[1,0,0,5,8],
 "classflair_1_1sensor_1_1_laser_range_finder.html#a00cc6a10c9f6bc146dd269acd347b72f":[1,0,0,5,8,6],
@@ -246,8 +250,4 @@
 "classflair_1_1sensor_1_1_target_controller.html#a3c056f88a6fe47f2be02ef184986282c":[1,0,0,5,26,25],
 "classflair_1_1sensor_1_1_target_controller.html#a3c1926b41302b0487acfec388b79a26f":[1,0,0,5,26,14],
-"classflair_1_1sensor_1_1_target_controller.html#a66b9cd39511eb0c4f3406155ca5a7e0f":[1,0,0,5,26,21],
-"classflair_1_1sensor_1_1_target_controller.html#a677a1fd35d04b1ffd033206634c6c05e":[1,0,0,5,26,18],
-"classflair_1_1sensor_1_1_target_controller.html#a755c01ac4c8596e94310b5d61356be0c":[1,0,0,5,26,4],
-"classflair_1_1sensor_1_1_target_controller.html#a7e31696d48fe6b2fe7bdf44fad3b4d48":[1,0,0,5,26,0],
-"classflair_1_1sensor_1_1_target_controller.html#a8769ff6c7f3887a9bc0f8215f0a76a14":[1,0,0,5,26,5]
+"classflair_1_1sensor_1_1_target_controller.html#a66b9cd39511eb0c4f3406155ca5a7e0f":[1,0,0,5,26,21]
 };
Index: trunk/doc/Flair/navtreeindex6.js
===================================================================
--- trunk/doc/Flair/navtreeindex6.js	(revision 35)
+++ trunk/doc/Flair/navtreeindex6.js	(revision 36)
@@ -1,4 +1,8 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_target_controller.html#a677a1fd35d04b1ffd033206634c6c05e":[1,0,0,5,26,18],
+"classflair_1_1sensor_1_1_target_controller.html#a755c01ac4c8596e94310b5d61356be0c":[1,0,0,5,26,4],
+"classflair_1_1sensor_1_1_target_controller.html#a7e31696d48fe6b2fe7bdf44fad3b4d48":[1,0,0,5,26,0],
+"classflair_1_1sensor_1_1_target_controller.html#a8769ff6c7f3887a9bc0f8215f0a76a14":[1,0,0,5,26,5],
 "classflair_1_1sensor_1_1_target_controller.html#a8aa84807cf224d3af89ee8af0355992c":[1,0,0,5,26,19],
 "classflair_1_1sensor_1_1_target_controller.html#a8f79eb9486927826a85a4ca3eb61ac37":[1,0,0,5,26,9],
@@ -170,6 +174,6 @@
 "cvmatrix__descriptor_8h_source.html":[2,0,22],
 "files.html":[2,0],
+"functions.html":[1,3,0],
 "functions.html":[1,3,0,0],
-"functions.html":[1,3,0],
 "functions_b.html":[1,3,0,1],
 "functions_c.html":[1,3,0,2],
@@ -242,12 +246,8 @@
 "namespaceflair_1_1actuator.html":[1,0,0,0],
 "namespaceflair_1_1actuator.html":[0,0,0,0],
+"namespaceflair_1_1core.html":[1,0,0,1],
 "namespaceflair_1_1core.html":[0,0,0,1],
-"namespaceflair_1_1core.html":[1,0,0,1],
+"namespaceflair_1_1filter.html":[1,0,0,2],
 "namespaceflair_1_1filter.html":[0,0,0,2],
-"namespaceflair_1_1filter.html":[1,0,0,2],
-"namespaceflair_1_1gui.html":[0,0,0,3],
-"namespaceflair_1_1gui.html":[1,0,0,3],
-"namespaceflair_1_1meta.html":[0,0,0,4],
-"namespaceflair_1_1meta.html":[1,0,0,4],
-"namespaceflair_1_1sensor.html":[1,0,0,5]
+"namespaceflair_1_1gui.html":[0,0,0,3]
 };
Index: trunk/doc/Flair/navtreeindex7.js
===================================================================
--- trunk/doc/Flair/navtreeindex7.js	(revision 35)
+++ trunk/doc/Flair/navtreeindex7.js	(revision 36)
@@ -1,5 +1,9 @@
 var NAVTREEINDEX7 =
 {
+"namespaceflair_1_1gui.html":[1,0,0,3],
+"namespaceflair_1_1meta.html":[1,0,0,4],
+"namespaceflair_1_1meta.html":[0,0,0,4],
 "namespaceflair_1_1sensor.html":[0,0,0,5],
+"namespaceflair_1_1sensor.html":[1,0,0,5],
 "namespaceflair_1_1simulator.html":[0,0,0,6],
 "namespaceflair_1_1simulator.html":[1,0,0,6],
Index: trunk/doc/Flair/search/all_10.js
===================================================================
--- trunk/doc/Flair/search/all_10.js	(revision 35)
+++ trunk/doc/Flair/search/all_10.js	(revision 36)
@@ -904,5 +904,5 @@
   ['quality',['quality',['http://qt-project.org/doc/qt-4.8/qimagereader.html#quality',0,'QImageReader::quality()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#quality',0,'QPictureIO::quality()'],['http://qt-project.org/doc/qt-4.8/qimagewriter.html#quality',0,'QImageWriter::quality()']]],
   ['quaternion',['Quaternion',['../classflair_1_1core_1_1_quaternion.html',1,'flair::core']]],
-  ['quaternion',['Quaternion',['../classflair_1_1core_1_1_quaternion.html#a35151d7d2158d0a4714a66d2d426cf9c',1,'flair::core::Quaternion']]],
+  ['quaternion',['Quaternion',['../classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a3d9784015eecca0b5df06207f9c299f4',1,'flair::sensor::Gx3_25_imu::Quaternion()'],['../classflair_1_1core_1_1_quaternion.html#a35151d7d2158d0a4714a66d2d426cf9c',1,'flair::core::Quaternion::Quaternion()']]],
   ['quaternion_2eh',['Quaternion.h',['../_quaternion_8h.html',1,'']]],
   ['qudpsocket',['QUdpSocket',['http://qt-project.org/doc/qt-4.8/qudpsocket.html',0,'QUdpSocket'],['http://qt-project.org/doc/qt-4.8/qudpsocket.html#QUdpSocket',0,'QUdpSocket::QUdpSocket()']]],
Index: trunk/doc/Flair/search/all_18.js
===================================================================
--- trunk/doc/Flair/search/all_18.js	(revision 35)
+++ trunk/doc/Flair/search/all_18.js	(revision 36)
@@ -4,5 +4,5 @@
   ['y1',['y1',['http://qt-project.org/doc/qt-4.8/qline.html#y1',0,'QLine::y1()'],['http://qt-project.org/doc/qt-4.8/qlinef.html#y1',0,'QLineF::y1()']]],
   ['y2',['y2',['http://qt-project.org/doc/qt-4.8/qline.html#y2',0,'QLine::y2()'],['http://qt-project.org/doc/qt-4.8/qlinef.html#y2',0,'QLineF::y2()']]],
-  ['yaw',['Yaw',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData::Yaw()'],['../classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668',1,'flair::core::Euler::yaw()']]],
+  ['yaw',['yaw',['../classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668',1,'flair::core::Euler::yaw()'],['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData::Yaw()']]],
   ['yawdeg',['YawDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26',1,'flair::core::AhrsData']]],
   ['yawdistancefrom',['YawDistanceFrom',['../classflair_1_1core_1_1_euler.html#aefee0889a00c65883b6aeb3b3a7b352d',1,'flair::core::Euler']]],
@@ -13,5 +13,5 @@
   ['yearshown',['yearShown',['http://qt-project.org/doc/qt-4.8/qcalendarwidget.html#yearShown',0,'QCalendarWidget']]],
   ['yelement',['YElement',['../classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460',1,'flair::core::Vector3Ddata']]],
-  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()']]],
+  ['yellow',['yellow',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()'],['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()']]],
   ['yellowf',['yellowF',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellowF',0,'QColor']]],
   ['yieldcurrentthread',['yieldCurrentThread',['http://qt-project.org/doc/qt-4.8/qthread.html#yieldCurrentThread',0,'QThread']]],
Index: trunk/doc/Flair/search/all_2.js
===================================================================
--- trunk/doc/Flair/search/all_2.js	(revision 35)
+++ trunk/doc/Flair/search/all_2.js	(revision 36)
@@ -330,5 +330,5 @@
   ['colorgroup',['colorGroup',['http://qt-project.org/doc/qt-4.8/qwidget-qt3.html#colorGroup',0,'QWidget']]],
   ['colormap',['colormap',['http://qt-project.org/doc/qt-4.8/qcolormap.html#colormap',0,'QColormap::colormap()'],['http://qt-project.org/doc/qt-4.8/qx11info.html#colormap',0,'QX11Info::colormap()'],['http://qt-project.org/doc/qt-4.8/qglwidget.html#colormap',0,'QGLWidget::colormap()']]],
-  ['colormode',['ColorMode',['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#ColorMode-typedef',0,'QApplication::ColorMode()'],['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#colorMode',0,'QApplication::colorMode()'],['http://qt-project.org/doc/qt-4.8/qprinter.html#colorMode',0,'QPrinter::colorMode()']]],
+  ['colormode',['colorMode',['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#colorMode',0,'QApplication::colorMode()'],['http://qt-project.org/doc/qt-4.8/qprinter.html#colorMode',0,'QPrinter::colorMode()'],['http://qt-project.org/doc/qt-4.8/qapplication-qt3.html#ColorMode-typedef',0,'QApplication::ColorMode()']]],
   ['colornames',['colorNames',['http://qt-project.org/doc/qt-4.8/qcolor.html#colorNames',0,'QColor']]],
   ['colorproperty',['colorProperty',['http://qt-project.org/doc/qt-4.8/qtextformat.html#colorProperty',0,'QTextFormat']]],
Index: trunk/doc/Flair/search/all_6.js
===================================================================
--- trunk/doc/Flair/search/all_6.js	(revision 35)
+++ trunk/doc/Flair/search/all_6.js	(revision 36)
@@ -76,4 +76,5 @@
   ['getnumberofsatellites',['GetNumberOfSatellites',['../classflair_1_1core_1_1_gps_data.html#a22707e45c31501d36ddef69f6b9cee2f',1,'flair::core::GpsData']]],
   ['getoffset',['GetOffset',['../classflair_1_1filter_1_1_pid_thrust.html#a3658197f9d580bc810fc65451399f307',1,'flair::filter::PidThrust']]],
+  ['getoneaxisrotation',['GetOneAxisRotation',['../classflair_1_1sensor_1_1_imu.html#ab399f291b7203463dbd1585db8e4b96c',1,'flair::sensor::Imu']]],
   ['getopenfilename',['getOpenFileName',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getOpenFileName',0,'QFileDialog::getOpenFileName(QWidget *parent, const QString &amp;caption, const QString &amp;dir, const QString &amp;filter, QString *selectedFilter, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getOpenFileName-2',0,'QFileDialog::getOpenFileName(const QString &amp;dir, const QString &amp;filter, QWidget *parent, const char *name, const QString &amp;caption, QString *selectedFilter, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getOpenFileName',0,'Q3FileDialog::getOpenFileName()']]],
   ['getopenfilenames',['getOpenFileNames',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getOpenFileNames',0,'QFileDialog::getOpenFileNames(QWidget *parent, const QString &amp;caption, const QString &amp;dir, const QString &amp;filter, QString *selectedFilter, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getOpenFileNames-2',0,'QFileDialog::getOpenFileNames(const QString &amp;filter, const QString &amp;dir, QWidget *parent, const char *name, const QString &amp;caption, QString *selectedFilter, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getOpenFileNames',0,'Q3FileDialog::getOpenFileNames()']]],
@@ -253,6 +254,6 @@
   ['gres',['gres',['http://qt-project.org/doc/qt-4.8/qstringlist-qt3.html#gres',0,'QStringList::gres(const QRegExp &amp;rx, const QString &amp;after)'],['http://qt-project.org/doc/qt-4.8/qstringlist-qt3.html#gres-2',0,'QStringList::gres(const QString &amp;before, const QString &amp;after, bool cs)']]],
   ['grid',['grid',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#grid',0,'QDesignerFormWindowInterface']]],
+  ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html#a98b2efedd680c4ccf115943f20feba3a',1,'flair::gui::GridLayout']]],
   ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html',1,'flair::gui']]],
-  ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html#a98b2efedd680c4ccf115943f20feba3a',1,'flair::gui::GridLayout']]],
   ['gridlayout_2eh',['GridLayout.h',['../_grid_layout_8h.html',1,'']]],
   ['gridsize',['gridSize',['http://qt-project.org/doc/qt-4.8/qlistview.html#gridSize-prop',0,'QListView::gridSize()'],['http://qt-project.org/doc/qt-4.8/qlistview.html#gridSize-prop',0,'QListView::gridSize() const'],['http://qt-project.org/doc/qt-4.8/q3gridview.html#gridSize',0,'Q3GridView::gridSize()']]],
@@ -272,6 +273,6 @@
   ['gx3_5f25_5fahrs',['Gx3_25_ahrs',['../classflair_1_1filter_1_1_gx3__25__ahrs.html#a81454973b37dea1c53e4da99635be4d5',1,'flair::filter::Gx3_25_ahrs']]],
   ['gx3_5f25_5fahrs_2eh',['Gx3_25_ahrs.h',['../_gx3__25__ahrs_8h.html',1,'']]],
+  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html',1,'flair::sensor']]],
   ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558',1,'flair::sensor::Gx3_25_imu']]],
-  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html',1,'flair::sensor']]],
   ['gx3_5f25_5fimu_2eh',['Gx3_25_imu.h',['../_gx3__25__imu_8h.html',1,'']]]
 ];
Index: trunk/doc/Flair/search/all_e.js
===================================================================
--- trunk/doc/Flair/search/all_e.js	(revision 35)
+++ trunk/doc/Flair/search/all_e.js	(revision 36)
@@ -9,5 +9,5 @@
   ['objectindex',['objectIndex',['http://qt-project.org/doc/qt-4.8/qtextobject.html#objectIndex',0,'QTextObject::objectIndex()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectIndex',0,'QTextFormat::objectIndex()']]],
   ['objectinspector',['objectInspector',['http://qt-project.org/doc/qt-4.8/qdesignerformeditorinterface.html#objectInspector',0,'QDesignerFormEditorInterface']]],
-  ['objectname',['ObjectName',['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName() const']]],
+  ['objectname',['objectName',['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName() const'],['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()']]],
   ['objectownership',['objectOwnership',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#objectOwnership',0,'QDeclarativeEngine']]],
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
Index: trunk/doc/Flair/search/enumvalues_b.js
===================================================================
--- trunk/doc/Flair/search/enumvalues_b.js	(revision 35)
+++ trunk/doc/Flair/search/enumvalues_b.js	(revision 36)
@@ -4,4 +4,5 @@
   ['q1',['Q1',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51',1,'flair::core::AhrsData']]],
   ['q2',['Q2',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46',1,'flair::core::AhrsData']]],
-  ['q3',['Q3',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f',1,'flair::core::AhrsData']]]
+  ['q3',['Q3',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f',1,'flair::core::AhrsData']]],
+  ['quaternion',['Quaternion',['../classflair_1_1sensor_1_1_gx3__25__imu.html#a4d9ad20e915c47b02073f9c251093656a3d9784015eecca0b5df06207f9c299f4',1,'flair::sensor::Gx3_25_imu']]]
 ];
Index: trunk/doc/Flair/search/functions_13.js
===================================================================
--- trunk/doc/Flair/search/functions_13.js	(revision 35)
+++ trunk/doc/Flair/search/functions_13.js	(revision 36)
@@ -122,5 +122,5 @@
   ['themesearchpaths',['themeSearchPaths',['http://qt-project.org/doc/qt-4.8/qicon.html#themeSearchPaths',0,'QIcon']]],
   ['thisobject',['thisObject',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#thisObject',0,'QScriptContext::thisObject()'],['http://qt-project.org/doc/qt-4.8/qscriptable.html#thisObject',0,'QScriptable::thisObject()']]],
-  ['thread',['thread',['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()'],['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()']]],
+  ['thread',['Thread',['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()'],['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()']]],
   ['throwerror',['throwError',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError',0,'QScriptContext::throwError(Error error, const QString &amp;text)'],['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError-2',0,'QScriptContext::throwError(const QString &amp;text)']]],
   ['throwvalue',['throwValue',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwValue',0,'QScriptContext']]],
@@ -295,5 +295,5 @@
   ['toqmetaobject',['toQMetaObject',['http://qt-project.org/doc/qt-4.8/qscriptvalue.html#toQMetaObject',0,'QScriptValue']]],
   ['toqobject',['toQObject',['http://qt-project.org/doc/qt-4.8/qscriptvalue.html#toQObject',0,'QScriptValue']]],
-  ['toquaternion',['ToQuaternion',['../classflair_1_1core_1_1_euler.html#a04ceb304088ab462b27d19df7c61720b',1,'flair::core::Euler::ToQuaternion(Quaternion &amp;quaternion) const '],['../classflair_1_1core_1_1_euler.html#ac3a3c125a0beb255ce7646748d540628',1,'flair::core::Euler::ToQuaternion(void) const ']]],
+  ['toquaternion',['ToQuaternion',['../classflair_1_1core_1_1_euler.html#a04ceb304088ab462b27d19df7c61720b',1,'flair::core::Euler::ToQuaternion(Quaternion &amp;quaternion) const '],['../classflair_1_1core_1_1_euler.html#ac3a3c125a0beb255ce7646748d540628',1,'flair::core::Euler::ToQuaternion(void) const '],['../classflair_1_1core_1_1_rotation_matrix.html#a41877f4dbe6537791a9c0b282ae83c97',1,'flair::core::RotationMatrix::ToQuaternion(Quaternion &amp;quaternion) const '],['../classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec',1,'flair::core::RotationMatrix::ToQuaternion(void) const ']]],
   ['toradian',['ToRadian',['../classflair_1_1core_1_1_euler.html#a57de797815ca706d5d5eca0adc1b1ffb',1,'flair::core::Euler']]],
   ['torawform',['toRawForm',['http://qt-project.org/doc/qt-4.8/qnetworkcookie.html#toRawForm',0,'QNetworkCookie']]],
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 35)
+++ trunk/doc/Flair/search/functions_6.js	(revision 36)
@@ -74,4 +74,5 @@
   ['getnumberofsatellites',['GetNumberOfSatellites',['../classflair_1_1core_1_1_gps_data.html#a22707e45c31501d36ddef69f6b9cee2f',1,'flair::core::GpsData']]],
   ['getoffset',['GetOffset',['../classflair_1_1filter_1_1_pid_thrust.html#a3658197f9d580bc810fc65451399f307',1,'flair::filter::PidThrust']]],
+  ['getoneaxisrotation',['GetOneAxisRotation',['../classflair_1_1sensor_1_1_imu.html#ab399f291b7203463dbd1585db8e4b96c',1,'flair::sensor::Imu']]],
   ['getopenfilename',['getOpenFileName',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getOpenFileName',0,'QFileDialog::getOpenFileName(QWidget *parent, const QString &amp;caption, const QString &amp;dir, const QString &amp;filter, QString *selectedFilter, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getOpenFileName-2',0,'QFileDialog::getOpenFileName(const QString &amp;dir, const QString &amp;filter, QWidget *parent, const char *name, const QString &amp;caption, QString *selectedFilter, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getOpenFileName',0,'Q3FileDialog::getOpenFileName()']]],
   ['getopenfilenames',['getOpenFileNames',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getOpenFileNames',0,'QFileDialog::getOpenFileNames(QWidget *parent, const QString &amp;caption, const QString &amp;dir, const QString &amp;filter, QString *selectedFilter, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getOpenFileNames-2',0,'QFileDialog::getOpenFileNames(const QString &amp;filter, const QString &amp;dir, QWidget *parent, const char *name, const QString &amp;caption, QString *selectedFilter, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getOpenFileNames',0,'Q3FileDialog::getOpenFileNames()']]],
